## rvplayer 5.0-9

=== rpopen/Makefile ===
CC=gcc
CFLAGS=-Wall -fPIC

open.so: open.o
	ld -lc -shared -o open.so $<

## rvplayer 5.0-2

=== debian/changelog ===
rvplayer (1:5.0-2) frozen unstable; urgency=low

  * Modified postinst to only run ldconfig if $1 == configure, to conform
    with latest packaging manual.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 16 Apr 1998 17:30:50 -0700

rvplayer (1:5.0-1) frozen unstable; urgency=low

  * rvplayer 5 is now out of beta. This package now installs the new
    version. Should go in stable becuase the old version of this package
    cannot install the new version of rvplayer, and only the new version
    of rvplayer is now available.
  * changed postinst to accept new filename of real player, and look in new
    directory it untars into. That's the only actual changes in this 
    installer.
  * Now use an epoch in the version number dpkg understands this is a newer
    version.
  * Closes bugs #20691, #20693.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  4 Apr 1998 20:26:30 -0800

rvplayer (5.0b3-4) unstable; urgency=low

  * Fixed package description spelling (#18955).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 16:40:51 -0800

rvplayer (5.0b3-3) unstable; urgency=low

  * Argh!! A new version of the player has been released, but with the same
    version number as the old version. Now the installer will use this new
    version. (#18217)
  * Register new html docs with dwww.
  * Moved menu entry to Apps/Viewers, I think it makes more sense than
    Apps/Net.
  * Properly install the .class files.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 15 Feb 1998 13:17:39 -0800

rvplayer (5.0b3-2) unstable; urgency=low

  * Added a man page.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 14 Feb 1998 16:49:59 -0800

rvplayer (5.0b3-1) unstable; urgency=low

  * New upstream version (#17756).

 -- Joey Hess <joeyh@master.debian.org>  Mon,  2 Feb 1998 15:24:07 -0800

rvplayer (5.0b2-1) unstable; urgency=low

  * New upstream version of rvplayer is out (and has zoom support!), this
    package now uses it.
  * Modified the package so it supports upgrading the upstream package.
  * Updated the url for downloading the player.
  * Fixed bug in prerm.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Nov 1997 15:24:46 -0500

rvplayer (5.0b1-2) unstable; urgency=low

  * Support for upgrading to new versions of the installed w/o reinstalling.
  * However, upgrades from version 5.0b1-1 are broken, and you will need to
    reinstall the external files. Sorry!
  * Use install-mime to register mime type.
  * Install Mailcap file in examples.
  * Added a wrapper script that just unsets LD_LIBRARY_PATH. This lets
    rvplayer work when run from netscape. (The netscape wrapper script sets
    LD_LIBRARY_PATH, and rvplayer just doesn't like that.)
  * Fixed dependancies to reflect the dependancies of the rvplayer binary.
  * In postinst, check for $1=abort-* and don't prompt if so.
  * In prerm, don't fail if some rvplayer files cannot be deleted.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Oct 1997 23:11:30 -0500

rvplayer (5.0b1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Oct 1997 19:17:35 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: rvplayer
Section: contrib/net
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.0.0

Package: rvplayer
Architecture: i386
Depends: xlib6, libg++27, libc5
Description: Real Video Player (installer)
 Real Video is a streaming sound and video player from RealNetworks.
 .
 RealNetworks does not allow redistribution of their software. Therefore,
 this package requires the user to fetch the real player archive separately
 and place it in the directory pointed to by the TMPDIR environment variable
 (or /tmp if TMPDIR not defined). You can get the player from 
 http://www.real.com/products/player/download_player.html

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
# Nothing to do.

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	# The postinst installs files into these directories.
	install -d debian/tmp/usr/X11R6/bin debian/tmp/usr/lib/netscape/plugins \
		debian/tmp/usr/doc/rvplayer/examples \
		debian/tmp/usr/X11R6/lib/X11/rvplayer/
	install wrapper debian/tmp/usr/X11R6/bin/rvplayer
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## rvplayer 5.0-9

=== debian/changelog ===
rvplayer (1:5.0-9) stable; urgency=HIGH

  * Fixed symlink attack against postinst. Installation of arbitrary files
    into the filesystem, and probably overwriting of arbitrary files are
    possible if exploited.
  * I fixed the attack by requiring root drop the file into /root.
  * Since this is a minimal-changes upload for stable, I limited my changes
    to just 3 lines of the postinst.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  2 Sep 1999 02:41:03 -0700

rvplayer (1:5.0-8) frozen unstable; urgency=low

  * Depends on cpio.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 28 Dec 1998 13:35:54 -0800

rvplayer (1:5.0-7) frozen unstable; urgency=low

  * Now contains a small shared library that is preloaded to work around the
    bug that keeps it from working on 2.1.x kernels. I think this belongs in
    slink - linux 2.2 will probably come out about when slink does.
  * Call update-menus in the postrm, as I should.
  * Corrected epoch.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  7 Nov 1998 23:37:43 -0800

rvplayer (1:5.0-6) unstable; urgency=low

  * Fixed dependancy on xlib6g. #26813

 -- Joey Hess <joeyh@master.debian.org>  Fri, 18 Sep 1998 10:57:45 -0700

rvplayer (1:5.0-5) unstable; urgency=low

  * It seems that they are providing a libc6 version of the player, but only
    in rpm format. Ok, we'll convert that, then. I decided not to just use
    an alien patch file, because people are more familar with this package.
  * Updated to list new url to download the player from.
  * Fixed a menu file typo.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 17 Sep 1998 21:07:19 -0700

rvplayer (1:5.0-4) unstable; urgency=low

  * Modified to use update-mime, instead of install-mime (#26534).

 -- Joey Hess <joeyh@master.debian.org>  Tue,  8 Sep 1998 13:17:46 -0700

rvplayer (1:5.0-3) unstable; urgency=low

  * Fixed == bashism.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 21 Aug 1998 12:09:06 -0700

=== debian/control ===
Source: rvplayer
Section: contrib/net
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.5.0.0

Package: rvplayer
Architecture: i386
Depends: xlib6g, libg++272, libc6, rpm, cpio
Description: Real Video Player (installer)
 Real Video is a streaming sound and video player from RealNetworks.
 .
 RealNetworks does not allow redistribution of their software. Therefore,
 this package requires the user to fetch the real player archive separately.
 When you install this package you will be guided through that process.

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 #export DH_VERBOSE=1
 
 build:
-# Nothing to do.
+	cd rpopen && make
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	dh_clean
+	dh_clean rpopen/open.o rpopen/open.so
 
 # Build architecture-independent files here.
 binary-indep: build
@@ -23,10 +23,12 @@
 	dh_testroot
 	dh_clean
 	# The postinst installs files into these directories.
-	install -d debian/tmp/usr/X11R6/bin debian/tmp/usr/lib/netscape/plugins \
-		debian/tmp/usr/doc/rvplayer/examples \
-		debian/tmp/usr/X11R6/lib/X11/rvplayer/
+	dh_installdirs usr/X11R6/bin usr/lib/netscape/plugins \
+		usr/doc/rvplayer/examples \
+		usr/X11R6/lib/X11/rvplayer usr/lib/mime/packages
 	install wrapper debian/tmp/usr/X11R6/bin/rvplayer
+	cp rpopen/open.so debian/tmp/usr/X11R6/lib/X11/rvplayer
+	cp debian/mime debian/tmp/usr/lib/mime/packages/rvplayer
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
